﻿header {
    width: 100%;
   /* overflow: hidden;*/
    background-color: grey;
}

div#header h2, div#menu {
    margin: 0 auto;
    text-align: left
}

div#header h2 {
    padding: 20px 0 20px 5px;
    color: #fff
}

h3 {
    padding: 10px 0px 5px 5px;
}
/* menu */
/* ==== */

#menu ul {
    margin: 0;
    padding: 0;
}

#menu .main-menu {
    display: none;
}

#menu .selected {
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-bottom: 5px solid #28bd34;
}

    #menu .selected a {
        color: #fff;
    }

#tm:checked + .main-menu {
    display: block;
}

#menu input[type="checkbox"],
#menu ul span.drop-icon {
    display: none;
}

#menu li,
#toggle-menu,
#menu .sub-menu {
    border-style: solid;
    border-color: rgba(0, 0, 0, .05);
}

#menu li,
#toggle-menu {
    border-width: 0 0 1px;
}

#menu .sub-menu {
    background-color: #444;
    border-width: 1px 1px 0;
    margin: 0 1em;
}

    #menu .sub-menu li:last-child {
        border-width: 0;
    }

#menu li,
#toggle-menu,
#menu a {
    position: relative;
    display: block;
    color: white;
    text-shadow: 1px 1px 0 rgba(0, 0, 0, .125);
}

#menu,
#toggle-menu {
    background-color: grey; /* #09c; */
}

    #toggle-menu,
    #menu a {
        padding: .5em 1.25em;
    }

    #menu a {
        transition: all .125s ease-in-out;
        -webkit-transition: all .125s ease-in-out;
    }

        #menu a:hover {
            background-color: white;
            color: #09c;
        }

    #menu .sub-menu {
        display: none;
    }

    #menu input[type="checkbox"]:checked + .sub-menu {
        display: block;
    }

    #menu .sub-menu a:hover {
        color: #444;
    }

    #toggle-menu .drop-icon,
    #menu li label.drop-icon {
        position: absolute;
        right: 1.5em;
        top: 1.25em;
    }

    #menu label.drop-icon, #toggle-menu span.drop-icon {
        border-radius: 50%;
        width: 1em;
        height: 1em;
        text-align: center;
        background-color: rgba(0, 0, 0, .125);
        text-shadow: 0 0 0 transparent;
        color: rgba(255, 255, 255, .75);
    }

    #menu .drop-icon {
        line-height: 1;
    }

@media only screen and (max-width: 64em) and (min-width: 52.01em) {
    #menu li {
        width: 33.333%;
    }

    #menu .sub-menu li {
        width: auto;
    }
}

@media only screen and (min-width: 52em) {
    #menu .main-menu {
        display: block;
    }

    #toggle-menu,
    #menu label.drop-icon {
        display: none;
    }

    #menu ul span.drop-icon {
        display: inline-block;
    }

    #menu li {
        float: left;
        border-width: 0 1px 0 0;
    }

    #menu .sub-menu li {
        float: none;
    }

    #menu .sub-menu {
        border-width: 0;
        margin: 0;
        position: absolute;
        top: 100%;
        left: 0;
        width: 15em;
        z-index: 3000;
    }

    #menu .sub-menu,
    #menu input[type="checkbox"]:checked + .sub-menu {
        display: none;
    }

        #menu .sub-menu li {
            border-width: 0 0 1px;
        }

        #menu .sub-menu .sub-menu {
            top: 0;
            left: 100%;
        }

    #menu li:hover > input[type="checkbox"] + .sub-menu {
        display: block;
    }
}
/* end menu */
/* ======== */

.loggedinuser {
    color: white;
}

footer {
    width: 100%;
    text-align: right;
}

.pagerstyle {
    font-size: 16px;
}

.calendarimage {
    position: absolute;
    width: 30px;
    right: 5px;
    bottom: 5px;
}

/* BOOTSTRAP OVERRIDES
----------------------------------------------------------*/
.table {
    font-size: 12px;
}

.buttons {
    display: flex; justify-content: flex-end; 
} 

.buttons input
{
    margin-left: 5px;
}

.radiobuttons td {
    padding-left: 10px;
}

.radiobuttons label {
    padding-left: 10px;
}

/* MODAL BACKGROUND
----------------------------------------------------------*/
.modalBackground {
    background-color: Gray;
    filter: alpha(opacity=70);
    opacity: 0.7;
}

.modalPopup {
    background-color: White;
    border-width: 3px;
    border-style: solid;
    border-color: Gray;
    padding: 3px;
    min-width: 300px;
}

/* ERRORS / MESSAGES
----------------------------------------------------------*/

@-webkit-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@-moz-keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

@keyframes fadeIn {
    from {
        opacity: 0;
    }

    to {
        opacity: 1;
    }
}

.fade-in {
    opacity: 0; /* make things invisible upon start */
    -webkit-animation: fadeIn ease-in 1; /* call our keyframe named fadeIn, use animattion ease-in and repeat it only 1 time */
    -moz-animation: fadeIn ease-in 1;
    animation: fadeIn ease-in 1;
    -webkit-animation-fill-mode: forwards; /* this makes sure that after animation is done we remain at the last keyframe value (opacity: 1)*/
    -moz-animation-fill-mode: forwards;
    animation-fill-mode: forwards;
    -webkit-animation-duration: 1s;
    -moz-animation-duration: 1s;
    animation-duration: 1s;
}

    .fade-in.one {
        -webkit-animation-delay: 0.0s;
        -moz-animation-delay: 0.0s;
        animation-delay: 0.0s;
    }

.text-danger {
    color: Red;
    padding-left: 15px;
}

.error {
    clear: both;
    color: red;
    border: 2px solid;
    border-radius: 25px;
    background-color: pink;
    width: 100%;
    padding: 5px 0px 5px 25px;
}

.message {
    color: green;
    border: 2px solid;
    border-radius: 25px;
    background-color: lightgreen;
    width: 100%;
    padding: 10px 10px 10px 10px;
    margin-bottom: 10px;
    display: block;
}
